Summary: color X11 version of hextris 
Name: cxhextris
Version: 1.0
Release: 5
Copyright: distributable
Group: X11/Games/Video
Source: sunsite.unc.edu:/pub/Linux/games/x11/video/cxhextris.tar.z
Patch0: cxhextris-config.patch
Patch1: cxhextris-axp.patch

%description
cxhextrix is a color version of the popular hextris.  Both are
a close of the popular Tetris video game, a game where one must
try to stack odd shaped blocks together perfectly.  This game
requires X Windows to work properly.

%prep
%setup -n cxhextris
%patch -p1
%patch1 -p1

%build
xmkmf
make

%install
make install
make install.man
make install.font

chown games.games /var/lib/games/xhextris-scores
chown games.games /usr/X11R6/bin/xhextris
chmod 4755 /usr/X11R6/bin/xhextris

%post
if [ -f /usr/X11R6/bin/mkfontdir ]; then
	(cd /usr/X11R6/lib/X11/fonts/misc; /usr/X11R6/bin/mkfontdir)
fi

%postun
if [ -f /usr/X11R6/bin/mkfontdir ]; then
	(cd /usr/X11R6/lib/X11/fonts/misc; /usr/X11R6/bin/mkfontdir)
fi


%files
%doc README README.Linux
/usr/X11R6/bin/xhextris
/usr/X11R6/lib/X11/fonts/misc/hex20.pcf
/var/lib/games/xhextris-scores
